<?php
error_reporting(0); 
include("../../config/qiantai.php");
session_start();
if(!isset($_SESSION['username'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
$username=$_SESSION['username'];
$type="where name='$username'";
$user=queryall(user,$type);
$userid=$user['userid'];
if(!$user){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<title>记录</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-status-bar-style" content="black">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="format-detection" content="telephone=no">
<link rel="stylesheet" href="/2019newui/qiantai/css/x-admin.css" media="all">
<script type="text/javascript" src="/2019newui/js/jquery1.9.min.js"></script>
</head>
<body>
<div class="x-body">
<?php
$sql = mysql_query("SELECT * FROM lishi WHERE  userid='$userid'");
$bs = mysql_num_rows($sql);
?>
<blockquote class="layui-elem-quote">
<dl class="apps-filter-tr">
<dt><span  class="xb">生成历史记录</span></dt>
</dl>
<span class="x-right" style="margin-top:-24px;line-height:10px">共有记录：<?php echo $bs?> 条 <a class="layui-btn-small" style="line-height:10px;margin-top:-2px;float:right"  href="javascript:location.replace(location.href);" title="刷新"><i class="fa fa-refresh"></i></a></span>
</blockquote>
<table class="layui-table">
<thead>
<tr>
<th width="10%"  style="text-align:center;">站点标题</th>
<th width="20%"  style="text-align:center;">视频地址</th>
<th width="5%"  style="text-align:center;">推广地址</th>
<th width="1%"   style="text-align:center;">操作</th>
</tr> 
</thead>
<tbody>
<?php 
$page_size=20; 
$sql = "WHERE 1=1";
$sql .=" and userid='$userid' ";
$resul = mysql_query("select id from  lishi  ".$sql."");
$count = mysql_num_rows($resul);
if($count == 0){echo '<tr><td colspan="7" style="text-align:center;">没有记录</td></tr> ';}
$page_count = ceil($count/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$query = mysql_query("select * from  lishi  ".$sql."  order by id desc     limit $offset, $page_size");
while ($ay=mysql_fetch_array($query)) { 
?> 
<tr>
<td style="text-align:center;"><?php echo $ay['name']?></td>
<td style="text-align:center;"><input type="text"   class="layui-input" value="<?php echo $ay['url']?>"  style="width: 98%;text-align:center;"></td>
<td style="text-align:center;"><a target="_blank" href="<?php echo $ay['link']?>"><i class="layui-icon" style="top: 3px; font-size: 16px;padding-right: 8px;">&#xF26B;</i><?php echo $ay['link']?></a></td>
<td style="text-align:center;"><a  onClick="sc('<?php echo $ay['id']?>')"  class="layui-btn layui-btn-danger layui-btn-mini ajax-delete">删除</a></td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
$keyt.="<a href=\""."/ddpage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/ddpage/".($page-1)."/\">上一页 </a>"; //上一页 
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
$keyt.="<a href=\""."/ddpage/".$i."/\">".$i."</a>"; 
} 
} 
if($page!=$pages){ 
$keyt.="<a href=\""."/ddpage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/ddpage/{$pages}/\">尾页</a> "; //最后一页 
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b> $page </b> 页/共 <b> $pages </b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?>
</table>
<br>
<?php if($count =="0"){?><?php }else{?><div style="padding:0 20px;"><div class="pagination"><?php echo $keyt?></div></div><?php }?>  
</div>
</div>
<script src="/layui/layui.js"></script>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
});
</script>
<?php if($count =="0"){?>
<?php }else{?>
<script type="text/javascript">
function sc(id) {
layer.confirm("确定要删除吗？", { title: "确认" }, function (index) {
layer.close(index);
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/wztj<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id: id, cz : 'shanchu3'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('删除成功');
location.reload();
} 
},
error:function(){
}
});
});
}
</script>
<?php }?>  
</body>
</html>